Google Cloud
action Cloud Run

# delete_service

Deletes a Cloud Run service

Run it now
View details

Type | action
Module | chaosgcp.cloudrun.actions
Name | delete_service
Return | null

Usage

JSON

    {
      "name": "delete-service",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosgcp.cloudrun.actions",
        "func": "delete_service",
        "arguments": {
          "parent": ""
        }
      }
    }

YAML

    name: delete-service
    provider:
      arguments:
        parent: ''
      func: delete_service
      module: chaosgcp.cloudrun.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
parent | string |  | Yes | Service Path | Full service path

See https://cloud.google.com/python/docs/reference/run/latest/google.cloud.run_v2.services.services.ServicesClient#google_cloud_run_v2_services_services_ServicesClient_delete_service

Signature

    def delete_service(parent: str,
                       configuration: Dict[str, Dict[str, str]] = None,
                       secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Google Cloud
  action Cloud Run

  ## `create_service`

  Creates a Cloud Run service
- Google Cloud
  probe Cloud Run

  ## `list_service_revisions`

  List all the Cloud Run service revisions
- Google Cloud
  probe Cloud Run

  ## `list_services`

  List all the Cloud Run services